#include <bits/stdc++.h>

using namespace std;

solve()
{
    int n;cin >> n;
    vector<int> vx(n);
    vector<int> vy(n);
    vector<int> vz(n);
    for(int i = 0; i < n; i++)
    {
        cin >> vx[i];
    }
    for(int i = 0; i < n; i++)
    {
        cin >> vy[i];
    }
    for(int i = 0; i < n; i++)
    {
        cin >> vz[i];
    }
    vector <int> bry(100000);
    for(int i = 0;i < n; i++)
    {
        bry[vy[i]-1]++;
    }
    for(int i = 0;i < 10000;i++)
        cout << vz[i]* bry[vz[i]-1] << endl;
}

int main()
{
    solve();
    return 0;
}